package com.wms.constants.enums;

/**
 * 向mes反馈的任务状态码
 */
public enum MesStatus {
    WAIT(0, "等待执行"),
    RUN(1, "执行中"),
    FINISH(2, "执行完成"),
    EXCEPTION(3, "任务异常");

    private final Integer statusCode;
    private final String statusInfo;

    MesStatus(Integer statusCode, String statusInfo) {
        this.statusCode = statusCode;
        this.statusInfo = statusInfo;
    }

    public Integer getStatusCode() {
        return statusCode;
    }

    public String getStatusInfo() {
        return statusInfo;
    }
}
